<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('memory_limit', '512M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["EAN13"])) 
	$EAN13=$_REQUEST["EAN13"]; 
else $EAN13=0;
if(isset($_REQUEST["crossReferenceNo"])) 
	$crossReferenceNo=$_REQUEST["crossReferenceNo"]; 
else $crossReferenceNo=0;
if(isset($_REQUEST["item"])) 
	$item=$_REQUEST["item"]; 
else $item=0;

$ean=[];

function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}

	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}


	$sql='SELECT "Item No." FROM dbo."Item Cross Reference" 
	WHERE "Cross-Reference Type No."=\''.$crossReferenceNo.'\' and "Cross-Reference No."=\''.$EAN13.'\' and "Item No."=\''.$item.'\'';

	$stmt = sqlsrv_query( $connNavision, $sql );
		if( $stmt !== false) {
			while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				$temp=[];
				foreach($row as $key=>$object){
					$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;		
					
				}
				$ean[]=$temp_object;
			}
		}

	$prueba["class"]=$ean;
	$result[]=$prueba;
echo json_encode($result, JSON_PRETTY_PRINT);
?>